com.fasterxml.jackson.datatype.joda.ser

## Class LocalDateSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase<org.joda.time.LocalDate>
      - - com.fasterxml.jackson.datatype.joda.ser.LocalDateSerializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, com.fasterxml.jackson.databind.ser.ContextualSerializer

    public final class LocalDateSerializer
    extends JodaDateSerializerBase<org.joda.time.LocalDate>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

Fields
`protected static JacksonJodaFormat` `DEFAULT_FORMAT`

### Fields inherited from class com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase

`_format, DEFAULT_DATEONLY_FORMAT, DEFAULT_LOCAL_DATETIME_FORMAT, DEFAULT_TIMEONLY_FORMAT`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`LocalDateSerializer()`
`LocalDateSerializer(JacksonJodaFormat format)`

### Method Summary

Methods
`com.fasterxml.jackson.databind.JsonNode` `getSchema(com.fasterxml.jackson.databind.SerializerProvider provider, Type typeHint)`
`void` `serialize(org.joda.time.LocalDate value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`
`void` `serializeWithType(T value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`
`LocalDateSerializer` `withFormat(JacksonJodaFormat formatter)`

### Methods inherited from class com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase

`_useTimestamp, createContextual`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_FORMAT

    protected static final JacksonJodaFormat DEFAULT_FORMAT

### Constructor Detail

#### LocalDateSerializer

    public LocalDateSerializer()

#### LocalDateSerializer

    public LocalDateSerializer(JacksonJodaFormat format)

### Method Detail

#### withFormat

    public LocalDateSerializer withFormat(JacksonJodaFormat formatter)

Specified by:
  `withFormat` in class `JodaDateSerializerBase<org.joda.time.LocalDate>`

#### serialize

    public void serialize(org.joda.time.LocalDate value,
                 com.fasterxml.jackson.core.JsonGenerator jgen,
                 com.fasterxml.jackson.databind.SerializerProvider provider)
                   throws IOException,
                          com.fasterxml.jackson.core.JsonGenerationException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<org.joda.time.LocalDate>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonGenerationException`

#### getSchema

    public com.fasterxml.jackson.databind.JsonNode getSchema(com.fasterxml.jackson.databind.SerializerProvider provider,
                                                    Type typeHint)

Specified by:
  `getSchema` in interface `com.fasterxml.jackson.databind.jsonschema.SchemaAware`
Overrides:
  `getSchema` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<org.joda.time.LocalDate>`

#### serializeWithType

    public void serializeWithType(T value,
                         com.fasterxml.jackson.core.JsonGenerator jgen,
                         com.fasterxml.jackson.databind.SerializerProvider provider,
                         com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)
                           throws IOException,
                                  com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `serializeWithType` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`